import tensorflow as tf

def mlp(inputs, hidden_layers, num_outputs):
    if len(inputs.shape) > 2:
        inputs = tf.layers.flatten(inputs)   
    h = inputs
    for h_size in hidden_layers:
        h = tf.layers.dense(h, h_size, tf.nn.relu)
    outputs = tf.layers.dense(h, num_outputs)
    return outputs

def compute_offsets(task, num_classes):
    pass


def store_gradients(parameters, gradients, grad_dims, task_idx):
    pass
